---
issues:
- subscriptions
- award_emoji
- author
- assignees
- updated_by
- milestone
- iteration
- work_item_type
- notes
- resource_label_events
- resource_weight_events
- resource_milestone_events
- resource_state_events
- resource_iteration_events
- sent_notifications
- sentry_issue
- issuable_severity
- label_links
- labels
- last_edited_by
- todos
- user_agent_detail
- moved_to
- moved_from
- duplicated_to
- promoted_to_epic
- events
- merge_requests_closing_issues
- metrics
- metric_images
- timelogs
- issuable_severity
- issuable_sla
- issue_assignees
- search_data
- closed_by
- epic_issue
- epic
- feature_flag_issues
- feature_flags
- designs
- design_versions
- description_versions
- prometheus_alerts
- prometheus_alert_events
- self_managed_prometheus_alert_events
- zoom_meetings
- vulnerability_links
- related_vulnerabilities
- user_mentions
- system_note_metadata
- alert_management_alert
- status_page_published_incident
- namespace
- note_authors
- user_note_authors
- issue_email_participants
- test_reports
- requirement
- incident_management_issuable_escalation_status
- incident_management_timeline_events
- pending_escalations
- customer_relations_contacts
- issue_customer_relations_contacts
- email
- issuable_resource_links
work_item_type:
- issues
events:
- author
- project
- group
- target
- push_event_payload
notes:
- award_emoji
- project
- noteable
- author
- updated_by
- last_edited_by
- resolved_by
- todos
- events
- system_note_metadata
- note_diff_file
- suggestions
- diff_note_positions
- review
label_links:
- target
- label
label:
- subscriptions
- project
- lists
- label_links
- issues
- merge_requests
- priorities
- epic_board_labels
- epic_lists
milestone:
- group
- project
- issues
- labels
- merge_requests
- participants
- events
- boards
- milestone_releases
- releases
snippets:
- author
- project
- notes
- award_emoji
- user_agent_detail
- user_mentions
- snippet_repository
- statistics
- repository_storage_moves
releases:
- author
- project
- links
- sorted_links
- milestone_releases
- milestones
- evidences
links:
- release
project_members:
- created_by
- user
- source
- project
- member_task
- member_namespace
- member_role
member_roles:
- members
- namespace
- base_access_level
- download_code
merge_requests:
- status_check_responses
- subscriptions
- award_emoji
- author
- assignee
- reviewers
- updated_by
- milestone
- iteration
- notes
- resource_label_events
- resource_milestone_events
- resource_state_events
- resource_iteration_events
- label_links
- labels
- last_edited_by
- todos
- target_project
- source_project
- merge_user
- merge_request_diffs
- merge_request_diff
- merge_head_diff
- merge_request_context_commits
- merge_request_context_commit_diff_files
- events
- merge_requests_closing_issues
- cached_closes_issues
- metrics
- timelogs
- head_pipeline
- latest_merge_request_diff
- pipelines_for_merge_request
- merge_request_assignees
- merge_request_reviewers
- suggestions
- diff_note_positions
- unresolved_notes
- assignees
- reviews
- approval_rules
- approval_merge_request_rule_sources
- approval_project_rules
- approvals
- approvers
- approver_users
- approver_groups
- approved_by_users
- draft_notes
- merge_train
- blocks_as_blocker
- blocks_as_blockee
- blocking_merge_requests
- blocked_merge_requests
- description_versions
- deployment_merge_requests
- deployments
- user_mentions
- system_note_metadata
- note_authors
- user_note_authors
- cleanup_schedule
- compliance_violations
external_pull_requests:
- project
merge_request_diff:
- merge_request
- merge_request_diff_commits
- merge_request_diff_detail
- merge_request_diff_files
merge_request_diff_commits:
- merge_request_diff
- commit_author
- committer
merge_request_diff_detail:
- merge_request_diff
merge_request_diff_files:
- merge_request_diff
merge_request_context_commits:
- merge_request
- diff_files
cleanup_schedule:
- merge_request
ci_pipelines:
- project
- user
- ci_ref
- stages
- statuses
- statuses_order_id_desc
- latest_statuses_ordered_by_stage
- builds
- bridges
- processables
- generic_commit_statuses
- trigger_requests
- variables
- auto_canceled_by
- auto_canceled_pipelines
- auto_canceled_jobs
- pending_builds
- failed_builds
- retryable_builds
- cancelable_statuses
- manual_actions
- scheduled_actions
- downloadable_artifacts
- pipeline_schedule
- merge_requests_as_head_pipeline
- merge_request
- external_pull_request
- deployments
- environments
- chat_data
- source_pipeline
- ref_status
- source_bridge
- source_job
- sourced_pipelines
- source_project
- triggered_by_pipeline
- triggered_pipelines
- child_pipelines
- parent_pipeline
- downstream_bridges
- job_artifacts
- vulnerabilities_finding_pipelines
- vulnerability_findings
- pipeline_config
- security_scans
- security_findings
- daily_build_group_report_results
- latest_builds
- latest_successful_builds
- daily_report_results
- latest_builds_report_results
- messages
- pipeline_artifacts
- latest_statuses
- dast_profile
- dast_profiles_pipeline
- dast_site_profile
- dast_site_profiles_pipeline
- package_build_infos
- package_file_build_infos
- build_trace_chunks
ci_refs:
- project
- ci_pipelines
pipeline_variables:
- pipeline
stages:
- project
- pipeline
- statuses
- processables
- builds
- bridges
- latest_statuses
- retried_statuses
statuses:
- project
- pipeline
- stage
- user
- auto_canceled_by
- needs
variables:
- project
triggers:
- project
- trigger_requests
- owner
pipeline_schedules:
- project
- owner
- pipelines
- last_pipeline
- variables
pipeline_schedule:
- pipelines
pipeline_schedule_variables:
- pipeline_schedule
deploy_tokens:
- project_deploy_tokens
- projects
deploy_keys:
- user
- deploy_keys_projects
- projects
integrations:
- project
- service_hook
- jira_tracker_data
- zentao_tracker_data
- issue_tracker_data
# dingtalk_tracker_data JiHu-specific, see https://jihulab.com/gitlab-cn/gitlab/-/merge_requests/417
- dingtalk_tracker_data
hooks:
- project
- web_hook_logs
protected_branches:
- project
- merge_access_levels
- push_access_levels
- unprotect_access_levels
- approval_project_rules
- required_code_owners_sections
protected_tags:
- project
- create_access_levels
merge_access_levels:
- protected_branch
- user
- group
push_access_levels:
- protected_branch
- user
- group
- deploy_key
create_access_levels:
- user
- protected_tag
- group
container_repositories:
- project
- name
project:
- external_status_checks
- base_tags
- project_topics
- topics
- chat_services
- cluster
- clusters
- cluster_agents
- cluster_project
- creator
- cycle_analytics_stages
- value_streams
- group
- namespace
- project_namespace
- management_clusters
- boards
- last_event
- integrations
- campfire_integration
- confluence_integration
- datadog_integration
- discord_integration
- drone_ci_integration
- emails_on_push_integration
- pipelines_email_integration
- mattermost_slash_commands_integration
- shimo_integration
- slack_slash_commands_integration
- harbor_integration
- irker_integration
- packagist_integration
- pivotaltracker_integration
- prometheus_integration
- flowdock_integration
- assembla_integration
- asana_integration
- slack_integration
- microsoft_teams_integration
- mattermost_integration
- hangouts_chat_integration
- unify_circuit_integration
- buildkite_integration
- bamboo_integration
- teamcity_integration
- pushover_integration
- jira_integration
- zentao_integration
# dingtalk_integration JiHu-specific, see https://jihulab.com/gitlab-cn/gitlab/-/merge_requests/417
- dingtalk_integration
# dingtalk_integration JiHu-specific, see https://jihulab.com/gitlab-cn/gitlab/-/merge_requests/640
- feishu_integration
- redmine_integration
- youtrack_integration
- custom_issue_tracker_integration
- bugzilla_integration
- ewm_integration
- external_wiki_integration
- mock_ci_integration
- mock_monitoring_integration
- forked_to_members
- forked_from_project
- forks
- merge_requests
- fork_merge_requests
- issues
- labels
- events
- milestones
- iterations
- notes
- snippets
- hooks
- protected_branches
- protected_tags
- project_members
- project_repository
- users
- requesters
- deploy_keys_projects
- deploy_keys
- users_star_projects
- starrers
- releases
- lfs_objects_projects
- lfs_objects
- project_group_links
- invited_groups
- todos
- notification_settings
- import_data
- commit_statuses
- ci_pipelines
- all_pipelines
- stages
- ci_refs
- builds
- processables
- runner_projects
- runners
- variables
- triggers
- pipeline_schedules
- environments
- environments_for_dashboard
- deployments
- project_feature
- auto_devops
- pages_domains
- pages_metadatum
- pages_deployments
- authorized_users
- project_authorizations
- remote_mirrors
- route
- redirect_routes
- statistics
- container_repositories
- uploads
- file_uploads
- import_state
- members_and_requesters
- build_trace_chunks
- job_artifacts
- root_of_fork_network
- fork_network_member
- fork_network
- fork_network_projects
- custom_attributes
- lfs_file_locks
- project_badges
- source_of_merge_requests
- internal_ids
- project_deploy_tokens
- deploy_tokens
- settings
- ci_cd_settings
- project_settings
- import_export_upload
- repository_languages
- pool_repository
- kubernetes_namespaces
- error_tracking_setting
- metrics_setting
- gitlab_slack_application_integration
- github_integration
- protected_environments
- mirror_user
- push_rule
- jenkins_integration
- index_status
- feature_usage
- approval_rules
- approval_merge_request_rules
- approval_merge_request_rule_sources
- approval_project_rules
- approvers
- approver_users
- audit_events
- path_locks
- approver_groups
- repository_state
- source_pipelines
- sourced_pipelines
- prometheus_metrics
- vulnerabilities
- vulnerability_exports
- vulnerability_findings
- vulnerability_feedback
- vulnerability_identifiers
- vulnerability_scanners
- dast_profiles
- dast_site_profiles
- dast_scanner_profiles
- dast_sites
- dast_site_tokens
- dast_site_validations
- operations_feature_flags
- operations_feature_flags_client
- operations_feature_flags_user_lists
- prometheus_alerts
- prometheus_alert_events
- self_managed_prometheus_alert_events
- software_license_policies
- software_licenses
- project_registry
- packages
- package_files
- packages_cleanup_policy
- alerting_setting
- project_setting
- webide_pipelines
- reviews
- incident_management_setting
- merge_trains
- designs
- project_aliases
- external_pull_requests
- grafana_integration
- remove_source_branch_after_merge
- deleting_user
- upstream_projects
- upstream_project_subscriptions
- downstream_project_subscriptions
- service_desk_setting
- security_setting
- import_failures
- container_expiration_policy
- resource_groups
- autoclose_referenced_issues
- status_page_setting
- requirements
- export_jobs
- daily_build_group_report_results
- jira_imports
- compliance_framework_setting
- compliance_management_framework
- metrics_users_starred_dashboards
- alert_management_alerts
- repository_storage_moves
- freeze_periods
- pumble_integration
- webex_teams_integration
- build_report_results
- vulnerability_statistic
- vulnerability_historical_statistics
- vulnerability_remediations
- product_analytics_events
- pipeline_artifacts
- terraform_states
- alert_management_http_integrations
- exported_protected_branches
- incident_management_oncall_schedules
- incident_management_oncall_rotations
- incident_management_escalation_policies
- incident_management_issuable_escalation_statuses
- debian_distributions
- merge_request_metrics
- security_orchestration_policy_configuration
- timelogs
- error_tracking_errors
- error_tracking_client_keys
- pending_builds
- security_scans
- ci_feature_usages
- bulk_import_exports
- ci_project_mirror
- sync_events
- secure_files
- security_trainings
- vulnerability_reads
- build_artifacts_size_refresh
- project_callouts
award_emoji:
- awardable
- user
priorities:
- label
prometheus_metrics:
- project
- prometheus_alerts
timelogs:
- issue
- merge_request
- user
- note
push_event_payload:
- event
issuable_severity:
- issue
issue_assignees:
- issue
- assignee
search_data:
- issue
merge_request_assignees:
- merge_request
- assignee
- updated_state_by
lfs_file_locks:
- user
project_badges:
- project
metrics:
- target_project
- merge_request
- latest_closed_by
- merged_by
- pipeline
resource_label_events:
- user
- issue
- merge_request
- epic
- label
error_tracking_setting:
- project
suggestions:
- note
diff_note_positions:
- note
metrics_setting:
- project
protected_environments:
- project
- group
- deploy_access_levels
- approval_rules
deploy_access_levels:
- protected_environment
- user
- group
unprotect_access_levels:
- user
- protected_branch
- group
prometheus_alerts:
- project
- prometheus_alert_events
prometheus_alert_events:
- project
self_managed_prometheus_alert_events:
- project
epic_issues:
- issue
- epic
feature_flag_issues:
- issue
- feature_flag
reviews:
- project
- merge_request
- author
- notes
incident_management_setting:
- project
merge_trains:
- project
- merge_request
boards:
- group
- lists
- destroyable_lists
- milestone
- iteration
- iteration_cadence
- board_labels
- board_assignee
- assignee
- labels
- user_preferences
- boards_epic_user_preferences
lists:
- user
- milestone
- iteration
- board
- label
- list_user_preferences
milestone_releases:
- milestone
- release
evidences:
- release
design: &design
- authors
- issue
- actions
- versions
- notes
- user_mentions
- events
designs: *design
actions:
- design
- version
- uploads
- file_uploads
versions: &version
- author
- issue
- designs
- actions
zoom_meetings:
- issue
sentry_issue:
- issue
issuable_severity:
- issue
design_versions: *version
epic:
- subscriptions
- award_emoji
- description_versions
- author
- assignee
- issues
- epic_issues
- milestone
- notes
- label_links
- labels
- todos
- metrics
- group
- parent
- children
- updated_by
- last_edited_by
- closed_by
- start_date_sourcing_milestone
- due_date_sourcing_milestone
- start_date_sourcing_epic
- due_date_sourcing_epic
- events
- resource_label_events
- resource_state_events
- user_mentions
- note_authors
- user_note_authors
- boards_epic_user_preferences
- epic_board_positions
epic_issue:
- epic
- issue
system_note_metadata:
- note
- description_version
status_page_published_incident:
- issue
issuable_sla:
  - issue
push_rule:
  - group
bulk_import_export:
  - group
service_desk_setting:
  - file_template_project
